Get Layers

gethttps://statsigapi.net/console/v1/layers

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

pageinteger

Page number

Response

application/json
200Get Layers response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
id[]stringrequired

ID

name[]string

Optional name for the configuration.

idType[]stringrequired

The ID type used for this layer, important for validation.

description[]stringrequired

A detailed description of the layer, explaining its purpose and functionality.

lastModifierID[]stringrequired

ID of the last modifier.

lastModifiedTime[]numberrequired

Time of the last modification.

lastModifierEmail[]stringrequired

Email of the last modifier.

lastModifierName[]stringrequired

Name of the last modifier.

creatorID[]stringrequired

ID of the user who created the entity.

createdTime[]numberrequired

Timestamp when the entity was created.

creatorName[]stringrequired

Name of the creator.

creatorEmail[]stringrequired

Email of the creator.

tags[]string[]

Optional tags for categorization.

targetApps[]oneOf

List of target applications that this layer is intended for.

holdoutIDs[]string[]

Holdouts applied to this configuration.

team[]string

Optional name for the responsible team.

teamID[]string

Optional ID of the responsible team.

version[]number

Version number

isImplicitLayer[]booleanrequired

Indicates if the layer was automatically created by Statsig during experiment creation.

parameters[]object[]required

An array of parameters associated with the layer, each defining specific attributes.

Show child attributes
name[]stringrequired

The name of this parameter, used for identification within the layer.

type[]stringrequired

The data type that this parameter returns. Allowed types include: string, boolean, number, object, and array.

defaultValue[]oneOfrequired

The default value for this parameter, which must match the specified type.

description[]string

An optional helpful description of what this layer parameter does, providing context for its purpose.

schema[]string

Optional JSON schema for object parameters. If provided, defaultValue must satisfy the schema.

targeting_gate_parameter_values[]object[]required

Parameter values returned when a targeting gate passes during ship-with-targeting.

Show child attributes
targetingGateName[]stringrequired

The name of the targeting gate for these shipped values.

parameters[]objectrequired

Layer parameter values returned when the targeting gate passes.

holdout_parameter_values[]object[]required

Holdout-specific parameter values for this layer.

Show child attributes
holdoutID[]stringrequired

The ID of the holdout for these layer parameter values.

parameters[]objectrequired

Layer parameter values returned when the holdout gate passes.

excludeNewParams[]booleanrequired

Whether newly added layer parameters should be excluded from this holdout edge.

permalink[]stringrequired

A permalink to this layer in the Statsig Console.

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

400Invalid request. Please check the request input and try again.
statusintegerrequired
messagestringrequired
401This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
messagestringrequired

Was this helpful?